Package xg.protocol.messages

# Class ProtocolPrivMessages

java.lang.Object
xg.protocol.messages.ProtocolPrivMessages

public final class ProtocolPrivMessages extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`ProtocolPrivMessages.protocolPrivAck`
A generic 'ack' message returned for most priv messages
`static interface`
`ProtocolPrivMessages.protocolPrivAckOrBuilder`
`static final class`
`ProtocolPrivMessages.protocolPrivDisableProtocol`
Message allowing a remote to request the enabling of a protocol over the channel
`static interface`
`ProtocolPrivMessages.protocolPrivDisableProtocolOrBuilder`
`static final class`
`ProtocolPrivMessages.protocolPrivEnableProtocol`
Message allowing a remote to request the enabling of a protocol over the channel
`static interface`
`ProtocolPrivMessages.protocolPrivEnableProtocolOrBuilder`
`static final class`
`ProtocolPrivMessages.protocolPrivMessage`
A protocol private message internal to the scheme itself
`static interface`
`ProtocolPrivMessages.protocolPrivMessageOrBuilder`
`static final class`
`ProtocolPrivMessages.protocolPrivNotifyIdentity`
Message allowing a remote to supply its identity as part of the protocol initiation process
`static interface`
`ProtocolPrivMessages.protocolPrivNotifyIdentityOrBuilder`

## Method Summary

Modifier and Type
Method
Description
`static Descriptors.FileDescriptor`
`getDescriptor()`
`static void`
`registerAllExtensions(ExtensionRegistry registry)`
`static void`
`registerAllExtensions(ExtensionRegistryLite registry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### registerAllExtensions

public static void registerAllExtensions(ExtensionRegistryLite registry)

### registerAllExtensions

public static void registerAllExtensions(ExtensionRegistry registry)

### getDescriptor

public static Descriptors.FileDescriptor getDescriptor()